%define ver     5.0.0
# keep xdgver synced with XDGUTILS_VER in the makefile
%define xdgver	 1.0.2

Summary: LSB xdg-utils for tests
Name: lsb-xdg-utils
Version: %ver
Release: 0.20170110.1
License: GPL
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-xdg-utils-%ver.tar.gz
Source1: xdg-utils-%xdgver.tgz
BuildRoot: /var/tmp/lsb-xdgutils-1.0
AutoReqProv: no
# Does not strictly require lsb
#Requires: lsb-core-%{_arch} >= 3.0
Requires: lsb >= 3.1
Requires: lsb-setup
#Obsoletes:
#BuildRequires:

%description
This package provides a LSB xdg-utils for fd.o tests

%prep
%setup -q
tar xzf %{SOURCE1}

%build
cd xdg-utils-%xdgver
./configure --prefix=/opt/lsb
make
IMAGE=$(pwd)/image

%install
rm -rf $RPM_BUILD_ROOT
cd xdg-utils-%xdgver
make install DESTDIR=${RPM_BUILD_ROOT}
rm $(find ${RPM_BUILD_ROOT} -type f | grep -Ev 'xdg-(desktop-(icon|menu)|icon-resource|open|mime)')
:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/xdg-*
/opt/lsb/man/man1/xdg-*.1

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

